Bug 1878204 - MAO alert timing too aggressive
Summary: MAO alert timing too aggressive
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Michael Gugino
QA Contact: sunzhaohua
URL:
Whiteboard:
Depends On:
Blocks: 1888206
TreeView+ depends on / blocked
 
Reported: 2020-09-11 15:03 UTC by Michael Gugino
Modified: 2020-10-27 16:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:40:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-api-operator pull 677 0 None closed Bug 1878204: Adjust alert timing and severity 2021-02-09 21:41:18 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:40:34 UTC

Description Michael Gugino 2020-09-11 15:03:40 UTC
More details here: https://issues.redhat.com/browse/OCPCLOUD-842

Current alert timings are arbitrary and have some race conditions with MHC and cluster autoscaler that result in flapping for broken nodes.

Comment 3 sunzhaohua 2020-09-24 03:15:10 UTC
Verified
clusterversion: 4.6.0-0.nightly-2020-09-22-213802

Scale up machineset, then delete nodes but machine still exist.
Enable machinehealthcheck
Check Alerting,  alert MachineWithoutValidNode severity is Warning.

Comment 6 errata-xmlrpc 2020-10-27 16:40:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.